doctrine 2.2 y codeignador 2.1

He buscado mucho en línea para configurar la doctrine 2.2 y codeigniter 2.1, no pude encontrar el tutorial apropiado para la última versión de doctrine y codeigniter. La mayoría de los tutoriales están desactualizados. Sería muy apreciado si tuviera enlaces para estos tutoriales.

Parece que puedes usar https://github.com/wildlyinaccurate/CodeIgniter-2-with-Doctrine-2 como base, pero realmente prefiero DataMapper a doctrine